Page MenuHomeFreeBSD

devel/valgrind: Define AT_USRSTACK{BASE,LIM}
ClosedPublic

Authored by jrm on Oct 28 2022, 1:56 PM.

Details

Summary

The AT_USRSTACK{BASE, LIM} AT vectors were added to the src tree in
ff41239f58. Building on 14 CURRENT systems prior to that commit will
fail without these definitions.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm requested review of this revision.Oct 28 2022, 1:56 PM

I have a commit bit for the Valgrind source repo and I prefer to make changes directly there rather than maintain patches in the ports tree.

I'd rather clean out all of these defines and put them in vki-freebsd.h. That's the Valgrind way of doing things (possibly no longer necessary, but originally it was done when the Linux headers were not an authoritative source for the correct types of structs).

Sure, whatever you think makes most sense.

I guess this would probably only be useful for a month or two until CURRENT users have a chance to update. I was on the fence deciding whether to even submit this. Maybe it's better to just rip the bandage off by forcing CURRENT users to keep running something close to HEAD.

I've pushed a couple of changes upstream. Could you try building from source

https://valgrind.org/downloads/repository.html

Or try this diff (to devel/valgriind-devel):

diff --git a/devel/valgrind-devel/Makefile b/devel/valgrind-devel/Makefile
index 9b6428ef0bd5..adbe0bf1bb80 100644

  • a/devel/valgrind-devel/Makefile

+++ b/devel/valgrind-devel/Makefile
@@ -1,5 +1,5 @@
PORTNAME= valgrind
-PORTVERSION= 3.20.0.g20220612
+PORTVERSION= 3.21.0.g20221028
DISTVERSIONPREFIX= freebsd-
PORTEPOCH= 1
CATEGORIES= devel
@@ -25,7 +25,7 @@ LIB32_PATH?= /usr/lib32/libc.so
USE_GITHUB= yes
GH_ACCOUNT= paulfloyd
GH_PROJECT= freebsd_valgrind
-GH_TAGNAME= d785030d3
+GH_TAGNAME= 8d64ffab7

CONFLICTS= valgrind

diff --git a/devel/valgrind-devel/distinfo b/devel/valgrind-devel/distinfo
index b8ca236025b7..abf5258c6cab 100644

  • a/devel/valgrind-devel/distinfo

+++ b/devel/valgrind-devel/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1655043692
-SHA256 (paulfloyd-freebsd_valgrind-freebsd-3.20.0.g20220612-d785030d3_GH0.tar.gz) = f847ba09d2df963a1be94d6707fbeb16480ec2d47d71fd55c82e0a389a4534fa
-SIZE (paulfloyd-freebsd_valgrind-freebsd-3.20.0.g20220612-d785030d3_GH0.tar.gz) = 15983181
+TIMESTAMP = 1666978488
+SHA256 (paulfloyd-freebsd_valgrind-freebsd-3.21.0.g20221028-8d64ffab7_GH0.tar.gz) = 0fe2773755b4b0ef58e37ec66b1914c4083f6190c0e8fd5e066f8d2bea8ab75c
+SIZE (paulfloyd-freebsd_valgrind-freebsd-3.21.0.g20221028-8d64ffab7_GH0.tar.gz) = 15990113
euler:/usr/ports/devel/valgrind-devel

Both the patched devel/valgrind-devel and HEAD (aed1e501) of upstream build successfully in a CURRENT jail built from 0f97a0d425cf (2022-09-15). I also successfully built the patched devel/valgrind-devel in 12.3 and 13.1 i386/amd64 jails.

Please let me know if you would like the update to devel/valdrind-devel committed.

Yes, please add the devel/valgrind-devel patch.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 29 2022, 4:36 PM
This revision was automatically updated to reflect the committed changes.